barra_nc={}
barra_nc[1]={}
barra_nc[1][1]={x=2,y=21,w=130,h=100}
barra_nc[1][2]={x=12,y=25,w=120,h=15,t="Nuevo"}
barra_nc[1][3]={x=12,y=40,w=120,h=15,t="Abrir"}
barra_nc[1][4]={x=12,y=55,w=120,h=15,t="Recargar"}
barra_nc[1][5]={x=12,y=70,w=120,h=15,t="Guardar"}
barra_nc[1][6]={x=12,y=85,w=120,h=15,t="Guardar Como"}
barra_nc[1][7]={x=12,y=100,w=120,h=15,t="Cerrar"}

barra_nc[2]={}
barra_nc[2][1]={x=50,y=21,w=140,h=50}
barra_nc[2][2]={x=60,y=25,w=130,h=15,t="Copiar"}
barra_nc[2][3]={x=60,y=40,w=130,h=15,t="Pegar"}
barra_nc[2][4]={x=60,y=55,w=130,h=15,t="Solo Lectura: No"}

barra_nc[4]={}
barra_nc[4][1]={x=180,y=21,w=185,h=65}
barra_nc[4][2]={x=190,y=25,w=175,h=15,t="Color del texto"}
barra_nc[4][3]={x=190,y=40,w=175,h=15,t="Sintaxis: Sí"}
barra_nc[4][4]={x=190,y=55,w=175,h=15,t="Ocultar número de linea: No"}
barra_nc[4][5]={x=190,y=70,w=175,h=15,t="Tamaño del texto: 0.6"}

barra_nc[3]={}

barra_nc[5]={}
barra_nc[5][1]={x=240,y=21,w=140,h=20}
barra_nc[5][2]={x=250,y=25,w=130,h=15,t="Lenguaje: Lua"}

barra_nc[6]={}
barra_nc[6][1]={x=315,y=21,w=164,h=60}
barra_nc[6][2]={x=325,y=25,w=154,h=15,t="Copia de seguridad: Sí"}
barra_nc[6][3]={x=325,y=40,w=154,h=15,t="Velocidad del cursor: 3"}
barra_nc[6][4]={x=325,y=55,w=154,h=15,t="Ver ayuda: Sí"}

barra_nc[7]={}

barra_inicial={}
barra_inicial[1]={x=0,y=0,w=54,h=18}
barra_inicial[2]={x=54,y=0,w=59,h=18}
barra_inicial[3]={x=113,y=0,w=64,h=18}
barra_inicial[4]={x=177,y=0,w=69,h=18}
barra_inicial[5]={x=246,y=0,w=69,h=18}
barra_inicial[6]={x=315,y=0,w=97,h=18}
barra_inicial[7]={x=412,y=0,w=68,h=18}
barra_actual=0
posicion_barra=1


function orden_nc(A,B)

if A==1 then
	if B==2 then
		posicion_puntero=1
		actual=1
		workDir=files.list("ms0:/PSP/GAME/")
		texto={}
		texto[1]=""
	elseif B==3 then
		explorador()
	elseif B==4 then
		editor()
	elseif B==5 then
		guardar_nc(files.nopath(workDir[pos_tarea].name))
	elseif B==6 then
		if keyboard==1 then
			search=teclado(1,"NotepadCode",30,"")
		else
			search=os.osk("NotepadCode","",30,1,0)
		end
		guardar_nc(name)
	else
		sistema()
	end
end

if A==2 then
	if B==2 then
		portapapeles=texto[actual]
	elseif B==3 then
		texto[actual]=texto[actual]..portapapeles
	else
		lectura=lectura+1
		if lectura>1 then lectura=0 end
		if lectura==1 then
			barra_nc[A][B].t="Solo lectura: No"
		else
			barra_nc[A][B].t="Solo lectura: Sí"
		end
	end
end

if A==3 then
	busqueda_nc()
end


if A==4 then
	if B==2 then
		color_txt=color_txt+1
		if color_txt>6 then color_txt=1 end
		if color_txt==1 then color_texto=negro end
		if color_txt==2 then color_texto=rojo end
		if color_txt==3 then color_texto=verde end
		if color_txt==4 then color_texto=azul end
		if color_txt==5 then color_texto=naranja end
		if color_txt==6 then color_texto=gris end
	elseif B==3 then
		sintaxis=sintaxis+1
		if sintaxis>1 then sintaxis=0 end
		if sintaxis==0 then
			barra_nc[A][B].t="Sintaxis: No"
		else
			barra_nc[A][B].t="Sintaxis: Sí"
		end
	elseif B==4 then
		line_hide=line_hide+1
		if line_hide>1 then line_hide=0 end
		if line_hide==1 then
			barra_nc[A][B].t="Ocultar número de linea: Sí"
		else
			barra_nc[A][B].t="Ocultar número de linea: No"
		end
	else
		tam_txt_nc=tam_txt_nc+0.05
		if tam_txt_nc>1 then tam_txt_nc=0.5 end
		barra_nc[A][B].t="Tamaño del texto: "..tam_txt_nc
	end
end


if A==5 then
	lenguaje=lenguaje+1
	if lenguaje>3 then lenguaje=1 end

	if lenguaje==1 then
		barra_nc[A][B].t="Lenguaje: Lua"
	elseif lenguaje==2 then
		barra_nc[A][B].t="Lenguaje: Normal"
	else
		barra_nc[A][B].t="Lenguaje: Definido"
	end
end


if A==6 then
	if B==2 then
		if copia_seguridad then
			copia_seguridad=false
			barra_nc[A][B].t="Copia de Seguridad: No"
		else
			copia_seguridad=true
			barra_nc[A][B].t="Copia de Seguridad: Sí"
		end
	elseif B==3 then
		velocidad_puntero=velocidad_puntero+1
		if velocidad_puntero>5 then velocidad_puntero=1 end
		barra_nc[A][B].t="Velocidad del cursor: "..velocidad_puntero
	else
		if help_nc_e then
			help_nc_e=false
			barra_nc[A][B].t="Ver ayuda: No"
		else
			help_nc_e=true
			barra_nc[A][B].t="Ver ayuda: Sí"
		end
	end
end

if A==7 then
	ejecutar()
end

end



herra_c={}
herra_c[1]={x=0,y=0,w=150,h=10,t="Copiar"}
herra_c[2]={x=0,y=0,w=150,h=10,t="Cortar"}
herra_c[3]={x=0,y=0,w=150,h=10,t="Pegar"}
herra_c[4]={x=0,y=0,w=150,h=10,t="Insertar Línea"}
herra_c[5]={x=0,y=0,w=150,h=10,t="Buscar"}
herra_c[6]={x=0,y=0,w=150,h=10,t="Borrar"}
herra_c[7]={x=0,y=0,w=150,h=10,t="Pasar a Minúsculas"}
herra_c[8]={x=0,y=0,w=150,h=10,t="Pasar a Mayúsculas"}

help_nc={}
help_nc[1]={}
help_nc[1][1]={50,190,"L: Navegar por el Texto"}
help_nc[1][2]={50,210,"R: Abrir el Teclado"}
help_nc[1][3]={50,230,"O: Abrir las herramientas"}
help_nc[1][4]={50,250,"PAD:Mover el cursor"}
help_nc[1][5]={200,190,"TRIÁNGULO: Espacio"}
help_nc[1][6]={200,210,"CUADRADO: Borrar carácter"}

help_nc[2]={}
help_nc[2][1]={50,190,"         TEXTO"}
help_nc[2][2]={50,210,"PAD: Navegar por el Texto"}
help_nc[2][3]={50,230,"TRIÁNGULO: Espacio"}
help_nc[2][4]={50,250,"CUADRADO: Borrar carácter"}

help_nc[3]={}
help_nc[3][1]={50,190,"X: Escribir carácter"}
help_nc[3][2]={50,210,"TRIÁNGULO: Espacio"}
help_nc[3][3]={50,230,"SELECT: Cambiar teclado"}
help_nc[3][4]={50,250,"CUADRADO: Borrar carácter"}



